Firefox 57+ = Compatible Rated 5 out of 5 stars

Grammarly had the good foresight to listen to Mozilla and update their add-on, before the final release of Firefox 57. As a result, it is completely compatible. -- Is also a wonderful spell and grammar checker.

This review is for a previous version of the add-on (8.793.1186).